Package com.sas.lsaf.schedule

## Class ScheduleDescriptor

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.schedule.ScheduleDescriptor

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`
  Direct Known Subclasses:
    `Schedule`

      public class ScheduleDescriptor
      extends AbstractIdentifiable

  A lightweight client representation of a schedule. See `Schedule` for details.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ScheduleDescriptor.ScheduleStatus` | The status of a schedule.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScheduleDescriptor​(java.lang.String id, java.lang.String name, java.lang.String description, java.lang.String owner, ScheduleDescriptor.ScheduleStatus status, java.lang.String schedulableLabel, java.util.Date lastModified)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDescription()` | Gets the description of the schedule.
    `java.util.Date` | `getLastModified()` | Gets the date on which the schedule was last modified.
    `java.lang.String` | `getName()` | Gets the name of the schedule.
    `java.lang.String` | `getOwner()` | Gets the owner of the schedule.
    `java.lang.String` | `getSchedulableLabel()` | Gets the label of the schedule.
    `ScheduleDescriptor.ScheduleStatus` | `getStatus()` | Gets the status of the schedule.
    `int` | `hashCode()` |
    `void` | `setDescription​(java.lang.String description)` | Sets the description of the schedule.
    `void` | `setName​(java.lang.String name)` | Sets the name of the schedule.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScheduleDescriptor

          public ScheduleDescriptor​(java.lang.String id,
                                    java.lang.String name,
                                    java.lang.String description,
                                    java.lang.String owner,
                                    ScheduleDescriptor.ScheduleStatus status,
                                    java.lang.String schedulableLabel,
                                    java.util.Date lastModified)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the schedule descriptors returned by the API.
      Parameters:
        `id` - the unique identifier of the schedule.
        `name` - the name of the schedule.
        `description` - the description of the schedule.
        `owner` - the owner of the schedule.
        `status` - the status of the schedule.
        `schedulableLabel` - the label of the item (such as a job) that is scheduled.
        `lastModified` - the date on which the schedule was last modified.

  - ### Method Detail

    - #### getStatus

          public ScheduleDescriptor.ScheduleStatus getStatus()

      Gets the status of the schedule.
      Returns:
        The status.

    - #### getName

          public java.lang.String getName()

      Gets the name of the schedule.
      Returns:
        The name.

    - #### setName

          public void setName​(java.lang.String name)

      Sets the name of the schedule.
      Parameters:
        `name` - the name.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the schedule.
      Returns:
        The description.

    - #### setDescription

          public void setDescription​(java.lang.String description)

      Sets the description of the schedule.
      Parameters:
        `description` - the description.

    - #### getOwner

          public java.lang.String getOwner()

      Gets the owner of the schedule.
      Returns:
        The owner.

    - #### getLastModified

          public java.util.Date getLastModified()

      Gets the date on which the schedule was last modified.
      Returns:
        The date on which the schedule was last modified.

    - #### getSchedulableLabel

          public java.lang.String getSchedulableLabel()

      Gets the label of the schedule.
      Returns:
        The label of the scheduled.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`